storm

Install and configure Apache Storm

Kaya Kupferschmidt

kupferk

9,555 downloads

8,153 latest version

2.3 quality score

Version information

  • 0.1.6 (latest)
  • 0.1.5
  • 0.1.4
  • 0.1.3
  • 0.1.2
  • 0.1.1
  • 0.1.0
released May 8th 2015
This version is compatible with:
  • Puppet Enterprise 3.x
  • Puppet 3.x
  • Ubuntu

Start using this module

Tags: storm

Documentation

kupferk/storm — version 0.1.6 May 8th 2015

storm

Table of Contents

  1. Overview
  2. Module Description - What the module does and why it is useful
  3. Setup - The basics of getting started with storm
  4. Usage - Configuration options and additional functionality
  5. Reference - An under-the-hood peek at what the module is doing and how
  6. Limitations - OS compatibility, etc.
  7. Development - Guide for contributing to the module

Overview

The storm module will install Apache Storm and configure it.

Module Description

The storm module will install Apache Storm and configure it. The installation will be performed from a tgz archieve downloaded from apache.org.

You will also need a Zookeeper cluster for Storm to work. The installation of Zookeeper is not done in this module, although you need to provide the IP address (or hostnames) of the zookeeper servers.

Setup

What storm affects

  • No package will be installed
  • /opt/storm will contain the storm installation
  • /etc/storm will contain the storm configuration
  • In addition, upstart scripts will be provided for Ubuntu

Setup Requirements

The module currently only supports Ubuntu (only tested with 14.04)

Beginning with storm

Example: one-machine with all services:

class {'storm':
    version => '0.9.3', 
    zookeeper_servers => ['zookeeper1', 'zookeeper2', 'zookeeper3']
}

include storm::install
include storm::config

include storm::nimbus
include storm::drpc
include storm::ui
include storm::supervisor

Usage

Reference

Limitations

Development